Index: XMLIO_V2/dev/dev_rv/Makefile.wk
===================================================================
--- XMLIO_V2/dev/dev_rv/Makefile.wk	(revision 143)
+++ XMLIO_V2/dev/dev_rv/Makefile.wk	(revision 144)
@@ -1,8 +1,7 @@
-<<<<<<< .mine
 ################################################################################
 ###################        Projet xios - xmlioserver       #####################
 #                                                                              #
 #         * Copyright Â© OZDOBA HervÃ© (herve.ozdoba@lsce.ipsl.fr) *             #
-#                   * Â©	MEURDESOIF Yann (yann.meurdesoif@cea.fr) *             #
+#                   * Â© MEURDESOIF Yann (yann.meurdesoif@cea.fr) *             #
 #                                    * Avril 2010 - Octobre 2011 *             #
 #                                                                              #
@@ -12,5 +11,5 @@
 
 DEBUG     = yes
-MCOLOR    = yes
+MCOLOR    = no
 SHOWCMD   = yes
 VTK       = no
@@ -23,8 +22,16 @@
 
 ifeq ($(SHOWCMD), no)
-   A = @
+	A = @
 endif
 
 #################################### Chemins ###################################
+
+ifeq ($(PFORME), platine-wk)
+	NETCDF_PATH = /applications/netcdf-4.1.1
+	INTEL_PATH  = 
+	BOOST_PATH  = /applications/boost-1.37.0/gnu/include/boost-1_37
+	HDF5_PATH   = /applications/hdf5-1.8.5
+	MPI_PATH    = /applications/openmpi-1.2.9
+endif
 
 ifeq ($(PFORME), fedora-wk)
@@ -41,34 +48,50 @@
 VERSTR   = version $(CSUITE)
 
+ifeq ($(COMPTOOL), intel-platine-wk)
+	CCPP   = $(A)icc
+	CFORT  = $(A)ifort
+	LINK   = $(A)$(MPI_PATH)/bin/mpif90 -nofor-main
+	AR     = $(A)ar
+	T2F    = # indisponible
+	RMDIR  = $(A)rm -rf
+	REMOVE = $(A)rm -f
+	COPY   = $(A)cp
+	DOX    = # indisponible
+	TAR    = # indisponible
+	GZIP   = # indisponible
+	EXNET  = # indisponible
+	MPIRUN = $(A)$(MPI_PATH)/bin/mpirun
+endif
+
 ifeq ($(COMPTOOL), gnu-fedora-wk)
-   CCPP   = $(A)g++
-   CFORT  = $(A)gfortran
-   LINK   = $(A)/usr/lib/openmpi/bin/mpif90
-   AR     = $(A)ar
-   T2F    = $(A)txt2tags
-   RMDIR  = $(A)rm -rf
-   REMOVE = $(A)rm -f  
-   COPY   = $(A)cp
-   DOX    = $(A)doxygen -s
-   TAR    = $(A)tar -cvf
-   GZIP   = $(A)gzip -9 -q
-   EXNET  = $(A)firefox
-   MPIRUN = $(A)$(MPI_PATH)/bin/mpirun
+	CCPP   = $(A)g++
+	CFORT  = $(A)gfortran
+	LINK   = $(A)$(MPI_PATH)/bin/mpif90
+	AR     = $(A)ar
+	T2F    = $(A)txt2tags
+	RMDIR  = $(A)rm -rf
+	REMOVE = $(A)rm -f  
+	COPY   = $(A)cp
+	DOX    = $(A)doxygen -s
+	TAR    = $(A)tar -cvf
+	GZIP   = $(A)gzip -9 -q
+	EXNET  = $(A)firefox
+	MPIRUN = $(A)$(MPI_PATH)/bin/mpirun
 endif
 
 ifeq ($(COMPTOOL), intel-fedora-wk)
-   CCPP   = $(A)icc
-   CFORT  = $(A)ifort
-   LINK   = $(A)mpif90
-   AR     = $(A)ar
-   T2F    = $(A)txt2tags
-   RMDIR  = $(A)rm -rf
-   REMOVE = $(A)rm -f
-   COPY   = $(A)cp
-   DOX    = $(A)doxygen -s
-   TAR    = $(A)tar -cvf
-   GZIP   = $(A)gzip -9 -q
-   EXNET  = $(A)firefox
-   MPIRUN = $(A)$(MPI_PATH)/bin/mpirun
+	CCPP   = $(A)icc
+	CFORT  = $(A)ifort
+	LINK   = $(A)$(MPI_PATH)/bin/mpif90
+	AR     = $(A)ar
+	T2F    = $(A)txt2tags
+	RMDIR  = $(A)rm -rf
+	REMOVE = $(A)rm -f
+	COPY   = $(A)cp
+	DOX    = $(A)doxygen -s
+	TAR    = $(A)tar -cvf
+	GZIP   = $(A)gzip -9 -q
+	EXNET  = $(A)firefox
+	MPIRUN = $(A)$(MPI_PATH)/bin/mpirun
 endif
 
@@ -144,5 +167,9 @@
 ####################### Chemins vers la bibliothÃšque VTK #######################
 
-INCLUDE   += -I /usr/include/vtk
+ifeq ($(VTK), yes)
+	INCLUDE += -I /usr/include/vtk
+	LIBS    += -lvtkCommon -lvtkIO -lvtkFiltering -lvtkRendering -lvtkHybrid
+	DEFINE  += -D XIOS_VTK
+endif
 
 ####################### Chemins vers la bibliothÃšque NETCDF ####################
@@ -155,27 +182,30 @@
 HDF5_LIB    = $(HDF5_PATH)/lib
 
-LIBS_PATH += -L $(NETCDF_LIB) -L $(HDF5_LIB)
-LIBS      += -lnetcdf -lhdf5_hl -lhdf5 -lz
-INCLUDE   += -I $(NETCDF_INCL)
+LIBS_PATH  += -L $(NETCDF_LIB) -L $(HDF5_LIB)
+LIBS       += -lnetcdf -lhdf5_hl -lhdf5 -lz
+INCLUDE    += -I $(NETCDF_INCL)
 
 ####################### Chemins vers la bibliothÃšque MPI #######################
 
-MPI_LIB  = $(MPI_PATH)/bin/
-MPI_LIB  = $(MPI_PATH)/lib
-MPI_INCL = /usr/include/openmpi-i386/
-
-LIBS_PATH += -L $(MPI_LIB)
-LIBS      += -lmpi_cxx -lmpi
-INCLUDE   += -I $(MPI_INCL)
-FFLAGS    += -I $(MPI_INCL)
+MPI_LIB     = $(MPI_PATH)/bin
+MPI_LIB     = $(MPI_PATH)/lib
+MPI_INCL    = $(MPI_PATH)/include
+
+ifeq ($(PFORME), fedora-wk)
+	MPI_INCL = /usr/include/openmpi-i386
+endif
+
+LIBS_PATH   += -L $(MPI_LIB)
+LIBS        += -lmpi_cxx -lmpi
+INCLUDE     += -I $(MPI_INCL)
+FFLAGS      += -I $(MPI_INCL)
 
 ################################ VARIABLES #####################################
 
-LIBS    += -lstdc++
 INCLUDE += -I $(SRC_PATH)
 DEFINE   = -D XIOS_LIBRARY
 
-ifeq ($(VTK), yes)
-	LIBS += -lvtkCommon -lvtkIO -lvtkFiltering -lvtkRendering -lvtkHybrid
+ifeq ($(PFORME), fedora-wk)
+	LIBS      += -lstdc++
 endif
 
@@ -192,7 +222,8 @@
 
 ifeq ($(CSUITE), intel)
-	FFLAGS += -module $(LIB_PATH)
-	CFLAGS += -diag-disable 1125
-endif
+	FFLAGS  += -module $(LIB_PATH)
+	CFLAGS  += -diag-disable 1125
+endif
+
 ifeq ($(CSUITE), gnu)
 	FFLAGS += -J $(LIB_PATH)
@@ -232,454 +263,5 @@
 NSOURCE  = axis domain field file grid context
 
-# Sources pour les opÃ©rations Ã  effectuer sur les champs (contenues dans le dossier functor)
-FSOURCE  = once instant average
-
-# Sources contenant les diffÃ©rents type de calendriers (contenues dans le dossier date)
-DSOURCE = julian gregorian noleap allleap d360
-
-# Sources pour l'interface graphique (contenues dans le dossier qt)
-ifeq ($(GUI), yes)
-	QSOURCE = # vidÃ© #
-endif
-
-# Sources pour le lecteur vtk (contenues dans le dossier vtk)
-ifeq ($(VTK), yes)
-	VSOURCE = lscereader
-endif
-
-# Sources pour les entrÃ©es (contenues dans le dossier input)
-ISOURCE = inetcdf4 nc4_data_input
-
-# Sources pour les sorties (contenues dans le dossier output)
-OSOURCE = onetcdf4 nc4_data_output
-
-# Source des faux client
-TSOURCE = fake_nemo fake_lmdz fake_orchidee
-
-# Nom du fichier contenant les points d'entrÃ©e des programmes
-MAINNAME = main
-
-DOC_T2T = $(wildcard *.t2t)
-COM_T2T = $(patsubst %.t2t,%.html,$(DOC_T2T))
-
-##############################  Modifications ##################################
-
-ELEMS_FOR = $(TSOURCE) $(IFSOURCE) 
-            
-ELEMS_CPP = $(ICSOURCE) $(OSOURCE) $(ISOURCE) $(LSOURCE) \
-            $(VSOURCE)  $(QSOURCE) $(DSOURCE) $(FSOURCE) \
-            $(NSOURCE)  $(MSOURCE) 
-
-ELEMS_ALL = $(ELEMS_CPP) $(ELEMS_FOR)
-              
-OBJECTS = $(addprefix $(OBJ_PATH)/, $(addsuffix .o, $(ELEMS_ALL))) $(OBJ_PATH)/impi_interface.o
-DEPENDS = $(addprefix $(DEP_PATH)/, $(addsuffix .d, $(ELEMS_CPP)))
-
-################################### RÃšgles #####################################
-
-all: depend build
-
-build: preproc $(EXENAME)
-
-.PHONY: t2t
-t2t: $(COM_T2T)
-
-.PHONY: run
-run: all clean-dat
-	$(call COLORMSG, $(C_White),"ExÃ©cution du serveur d'E/S de l'IPSL ($(VERSTR) C++) ...")
-	$(MPIRUN) -np $(NPROC) $(EXENAME)
-
-.PHONY: depend
-depend: preproc $(DEPENDS)
-
-.PHONY: preproc
-preproc : $(FSRC_PATH)/$(IFSOURCE)$(FORTEXT) $(CSRC_PATH)/$(ICSOURCE).cpp
-
-.PHONY: clean-depend
-clean-depend:
-	$(REMOVE) $(DEP_PATH)/*.d
-
-clean-t2t:
-#$(REMOVE) $(COM_T2T)
-
-clean-doc: clean-t2t
-	$(RMDIR)  $(DOC_PATH)/html
-	$(REMOVE) $(DEV_PATH)/doxygen.log
-
-clean-exe:
-	$(REMOVE) $(BIN_PATH)/*.exe
-
-clean-lib:
-	$(REMOVE) $(LIB_PATH)/*.a
-
-clean-mod:
-	$(REMOVE) $(LIB_PATH)/*.mod
-
-clean-dll:
-	$(REMOVE) $(BIN_PATH)/*.dll
-
-clean-gen:
-	$(REMOVE) $(SRC_PATH)/iface/interface.cpp
-	$(REMOVE) $(SRC_PATH)/fortran/ixmlioserver$(FORTEXT)
-
-clean-obj:
-	$(REMOVE) $(OBJ_PATH)/*.o
-
-clean-dat:
-	$(REMOVE) $(DATA_PATH)/*.dat
-	$(REMOVE) $(DATA_PATH)/*.nc
-	$(REMOVE) $(DATA_PATH)/def/*
-
-.PHONY: clean
-clean : clean-obj    \
-        clean-mod    \
-        clean-gen    \
-        clean-depend
-
-.PHONY: clean-all
-clean-all : clean     \
-            clean-exe \
-            clean-dll \
-            clean-dat \
-            clean-lib \
-            clean-doc
-
-.PHONY: doc
-doc: t2t
-	$(DOX)
-	$(REMOVE) $(DOC_PATH)/doc.tar.gz
-	$(TAR)    $(DOC_PATH)/doc/doc.tar doc/html > $(DEV_PATH)/tar_output
-	$(REMOVE) $(DEV_PATH)/tar_output
-	$(GZIP)   $(DOC_PATH)/doc/doc.tar
-
-.PHONY: show-doc
-show-doc: doc
-	$(EXNET) $(DOC_PATH)/doc/html/index.html
-
-################################ Compilation ###################################
-
-$(OBJ_PATH)/$(MAINNAME)_server.o: $(DEP_PATH)/$(MAINNAME)_server.d
-
-$(EXENAME): $(OBJ_PATH)/$(MAINNAME)_server.o $(LIBSTATIC) 
-	$(call COLORMSG, $(C_Purple),"GÃ©nÃ©ration du serveur d'E/S de l'IPSL ($(VERSTR) C++) ...")
-	$(LINK) -o $@ $^ $(LDFLAGS)
-
-$(LIBSTATIC) : $(OBJECTS)
-	$(call COLORMSG, $(C_Green),"GÃ©nÃ©ration de l'archive de la bibliothÃšque d'E/S de l'IPSL...")
-	$(AR) crs $@ $^
-
-################################ DÃ©pendances ###################################
-
-
-ifeq (0, $(words $(findstring $(MAKECMDGOALS), $(NODEPS))))
--include $(DEPENDS)
-endif
-
-
-################################################################################
-
-%.html: %.t2t
-	$(T2F) -t html $<
-
-# Preproc
-$(FSRC_PATH)/%$(FORTEXT): %.f03.in $(FSRC_PATH)/macro.inc
-	$(F90ROC) $@ $<
-
-$(CSRC_PATH)/%.cpp: %.cpp.in $(CSRC_PATH)/macro.inc
-	$(CPPROC) $@ $<
-
-# DÃ©pendances
-$(DEP_PATH)/%.d: %.cpp
-	$(CCPP) $(CFLAGS) -D XIOS_NO_EXTERN -MT $(OBJ_PATH)/$(patsubst %.d,%.o,$(@F)) -MM -MF $@ $<
-
-# Objets cpp
-$(OBJ_PATH)/%.o: %.cpp %.d
-	$(CCPP) $(CFLAGS) -o $@ -c $<
-
-# Objets fortran
-
-$(FSRC_PATH)/%.f03: %.f90
-	$(COPY) $< $@
-
-$(FAKE_PATH)/%.f03: %.f90
-	$(COPY) $< $@
-
-$(LIB_PATH)/%.mod: $(OBJ_PATH)/%.o
-
-$(OBJ_PATH)/%.o: $(FSRC_PATH)/%$(FORTEXT)  
-	$(CFORT) $(FFLAGS) -o $@ -c $<
-
-$(OBJ_PATH)/%.o: $(FAKE_PATH)/%$(FORTEXT) $(OBJ_PATH)/ixmlioserver.o
-	$(CFORT) $(FFLAGS) -o $@ -c $<
-
-#################################### FIN #######################################
-=======
-################################################################################
-###################        Projet xios - xmlioserver       #####################
-#                                                                              #
-#         * Copyright Â© OZDOBA HervÃ© (herve.ozdoba@lsce.ipsl.fr) *           #
-#                   * Â©MEURDESOIF Yann (yann.meurdesoif@cea.fr) *             #
-#                                    * Avril 2010 - Octobre 2011 *             #
-#                                                                              #
-################################################################################
-
-################################# Configuration ################################
-
-DEBUG     = yes
-MCOLOR    = no
-SHOWCMD   = yes
-VTK       = no
-GUI       = no
-NPROC     = 2
-CSUITE    = intel
-PFORME    = platine-wk
-FORTEXT   = .f90
-DEV_PATH  = $(PWD)
-
-ifeq ($(SHOWCMD), no)
-   A = @
-endif
-
-#################################### Chemins ###################################
-
-ifeq ($(PFORME), platine-wk)
-       	NETCDF_PATH = /applications/netcdf-4.1.1
-       	INTEL_PATH  = 
-	BOOST_PATH  = /applications/boost-1.37.0/gnu/include/boost-1_37
-       	HDF5_PATH   = /applications/hdf5-1.8.5
-       	MPI_PATH    = /applications/openmpi-1.2.9
-endif
-
-ifeq ($(PFORME), fedora-wk)
-	NETCDF_PATH = $(DEV_PATH)/netcdf4
-	INTEL_PATH  = /work/intel/composerxe
-	BOOST_PATH  = /usr/include
-	HDF5_PATH   = $(DEV_PATH)/hdf5
-	MPI_PATH    = /usr/lib/openmpi
-endif
-
-######################## Outils de compilations standard #######################
-
-COMPTOOL = $(CSUITE)-$(PFORME)
-VERSTR   = version $(CSUITE)
-
-ifeq ($(COMPTOOL), intel-platine-wk)
-   CCPP   = $(A)icc
-   CFORT  = $(A)ifort
-   LINK   = $(A)$(MPI_PATH)/bin/mpif90 -nofor-main
-   AR     = $(A)ar
-   T2F    = # indisponible
-   RMDIR  = $(A)rm -rf
-   REMOVE = $(A)rm -f
-   COPY   = $(A)cp
-   DOX    = # indisponible
-   TAR    = # indisponible
-   GZIP   = # indisponible
-   EXNET  = # indisponible
-   MPIRUN = $(A)$(MPI_PATH)/bin/mpirun
-endif
-
-ifeq ($(COMPTOOL), gnu-fedora-wk)
-   CCPP   = $(A)g++
-   CFORT  = $(A)gfortran
-   LINK   = $(A)$(MPI_PATH)/bin/mpif90
-   AR     = $(A)ar
-   T2F    = $(A)txt2tags
-   RMDIR  = $(A)rm -rf
-   REMOVE = $(A)rm -f  
-   COPY   = $(A)cp
-   DOX    = $(A)doxygen -s
-   TAR    = $(A)tar -cvf
-   GZIP   = $(A)gzip -9 -q
-   EXNET  = $(A)firefox
-   MPIRUN = $(A)$(MPI_PATH)/bin/mpirun
-endif
-
-ifeq ($(COMPTOOL), intel-fedora-wk)
-   CCPP   = $(A)icc
-   CFORT  = $(A)ifort
-   LINK   = $(A)$(MPI_PATH)/bin/mpif90
-   AR     = $(A)ar
-   T2F    = $(A)txt2tags
-   RMDIR  = $(A)rm -rf
-   REMOVE = $(A)rm -f
-   COPY   = $(A)cp
-   DOX    = $(A)doxygen -s
-   TAR    = $(A)tar -cvf
-   GZIP   = $(A)gzip -9 -q
-   EXNET  = $(A)firefox
-   MPIRUN = $(A)$(MPI_PATH)/bin/mpirun
-endif
-
-################################ Sortie couleur ################################
-
-C_Black         = "\033[0;30m"
-C_Blue          = "\033[0;34m"
-C_Green         = "\033[0;32m"
-C_Cyan          = "\033[0;36m"
-C_Red           = "\033[0;31m"
-C_Purple        = "\033[0;35m"
-C_Brown         = "\033[0;33m"
-C_Light_Gray    = "\033[0;37m"
-C_Dark_Gray     = "\033[1;30m"
-C_Light_Blue    = "\033[1;34m"
-C_Light_Green   = "\033[1;32m"
-C_Light_Cyan    = "\033[1;36m"
-C_Light_Red     = "\033[1;31m"
-C_Light_Purple  = "\033[1;35m"
-C_Yellow        = "\033[1;33m"
-C_White         = "\033[1;37m"
-NO_COLOUR       = "\033[0m"
-
-ifeq ($(MCOLOR), yes)
-	COLORMSG = @echo -e "\033[1m" $1 $2 $(NO_COLOUR)
-else
-	COLORMSG = @echo $2
-endif
-
-############################# RÃ©pertoire du projet #############################
-
-OBJ_PATH  = $(DEV_PATH)/obj
-BIN_PATH  = $(DEV_PATH)/bin
-LIB_PATH  = $(DEV_PATH)/lib
-SRC_PATH  = $(DEV_PATH)/src
-DOC_PATH  = $(DEV_PATH)/doc
-DEP_PATH  = $(DEV_PATH)/dep
-DATA_PATH = $(DEV_PATH)/data
-CONF_PATH = $(DEV_PATH)/conf
-SCRT_PATH = $(DEV_PATH)/script
-
-# Sous-rÃ©pertoires des sources :
-
-FSRC_PATH = $(SRC_PATH)/fortran
-CSRC_PATH = $(SRC_PATH)/iface
-
-NODE_PATH = $(SRC_PATH)/node
-FUNC_PATH = $(SRC_PATH)/functor
-DATE_PATH = $(SRC_PATH)/date
-GUI_PATH  = $(SRC_PATH)/qt
-VTK_PATH  = $(SRC_PATH)/vtk
-INPT_PATH = $(SRC_PATH)/input
-OUPT_PATH = $(SRC_PATH)/output
-MNGR_PATH = $(SRC_PATH)/manager
-
-FAKE_PATH = $(SRC_PATH)/fake_client
-
-################################################################################
-
-VPATH = $(DEP_PATH):$(SRC_PATH):$(CSRC_PATH):$(NODE_PATH)\
-:$(FUNC_PATH):$(DATE_PATH):$(GUI_PATH):$(VTK_PATH):$(INPT_PATH)\
-:$(OUPT_PATH):$(MNGR_PATH):$(FAKE_PATH):$(FSRC_PATH)
-
-######################## Outils de traitements internes ########################
-
-CPPROC  = $(SCRT_PATH)/preprocess_cpp.sh
-F90ROC  = $(SCRT_PATH)/preprocess_f03.sh
-
-####################### Chemins vers la bibliothÃšque BOOST #####################
-
-INCLUDE    = -I $(BOOST_PATH)
-
-####################### Chemins vers la bibliothÃšque VTK #######################
-
-ifeq ($(VTK), yes)
-	INCLUDE   += -I /usr/include/vtk
-        LIBS   += -lvtkCommon -lvtkIO -lvtkFiltering -lvtkRendering -lvtkHybrid
-        DEFINE += -D XIOS_VTK
-endif
-
-####################### Chemins vers la bibliothÃšque NETCDF ####################
-
-NETCDF_BIN  = $(NETCDF_PATH)/bin
-NETCDF_LIB  = $(NETCDF_PATH)/lib
-NETCDF_INCL = $(NETCDF_PATH)/include
-
-HDF5_INCL   = $(HDF5_PATH)/include
-HDF5_LIB    = $(HDF5_PATH)/lib
-
-LIBS_PATH += -L $(NETCDF_LIB) -L $(HDF5_LIB)
-LIBS      += -lnetcdf -lhdf5_hl -lhdf5 -lz
-INCLUDE   += -I $(NETCDF_INCL)
-
-####################### Chemins vers la bibliothÃšque MPI #######################
-
-MPI_LIB  = $(MPI_PATH)/bin
-MPI_LIB  = $(MPI_PATH)/lib
-MPI_INCL = $(MPI_PATH)/include
-
-ifeq ($(PFORME), fedora-wk)
-	MPI_INCL = /usr/include/openmpi-i386
-endif
-
-LIBS_PATH += -L $(MPI_LIB)
-LIBS      += -lmpi_cxx -lmpi
-INCLUDE   += -I $(MPI_INCL)
-FFLAGS    += -I $(MPI_INCL)
-
-################################ VARIABLES #####################################
-
-INCLUDE += -I $(SRC_PATH)
-DEFINE   = -D XIOS_LIBRARY
-
-ifeq ($(COMPTOOL), gnu-fedoraÃ-w)
-	LIB       += -lstdc++
-endif
-
-ifeq ($(COMPTOOL), intel-fedora-wk)
-	LIBS_PATH += -L $(INTEL_PATH)/lib
-	LIBS      += -lifcore -lintlc
-endif
-
-NODEPS   = clean clean-all
-
-FFLAGS  += -D XIOS_LIBRARY
-CFLAGS   = -ansi $(DEFINE) $(INCLUDE)
-LDFLAGS  = $(LIBS_PATH) $(LIBS)
-
-ifeq ($(CSUITE), intel)
-	FFLAGS  += -module $(LIB_PATH)
-	CFLAGS  += -diag-disable 1125
-endif
-
-
-
-ifeq ($(CSUITE), gnu)
-	FFLAGS += -J $(LIB_PATH)
-	CFLAGS += -W -Wall -Wno-unused-parameter -Wno-long-long -Wno-deprecated
-endif
-
-ifeq ($(DEBUG), yes)
-	CFLAGS += -D XIOS_DEBUG -g
-endif
-
-EXENAME   = $(BIN_PATH)/xmlioserver.exe
-LIBSTATIC = $(LIB_PATH)/libxmlioserver.a
-
-################################### SOURCES ####################################
-
-# Source de l'interface C (contenue dans dans le dossier src/iface)
-ICSOURCE = interface
-
-# Sources de l'interface fortran (contenues dans le dossier src/fortran)
-IFSOURCE = ixmlioserver
-
-# Sources de la bibliothÃšque (contenues dans le dossier src)
-LSOURCE  = object exception                                 \
-           date calendar duration calendar_util             \
-           attribute attribute_map attribute_template       \
-           object_factory group_factory                     \
-           indent xml_node xml_parser                       \
-           buffer linear_buffer circular_buffer             \
-           buffer_list buffer_pair                          \
-           data_treatment data_output                       \
-           rebuild functor mask configure
-
-# Sources des gestionnaires (contenues dans le dossier manager)
-MSOURCE  = tree_manager mpi_manager xios_manager
-
-# Sources pour le traitement des noeuds xml (contenues dans le dossier node)
-NSOURCE  = axis domain field file grid context
-
-# Sources pour les opÃ©rations Ã  effectuer sur les champs (contenues dans le dossier functor)
+# Sources pour les opÃ©rations Ã Â effectuer sur les champs (contenues dans le dossier functor)
 FSOURCE  = once instant average
 
@@ -863,3 +445,2 @@
 
 #################################### FIN #######################################
->>>>>>> .r142