Index: /XMLIO_V2/dev/dev_rv/src/xmlio/main_server.cpp
===================================================================
--- /XMLIO_V2/dev/dev_rv/src/xmlio/main_server.cpp	(revision 199)
+++ /XMLIO_V2/dev/dev_rv/src/xmlio/main_server.cpp	(revision 200)
@@ -11,5 +11,6 @@
 
 // Point d'entrÃ©e du programme principal
-int main(int argc, char ** argv, char ** UNUSED(env))
+
+int main (int argc, char ** argv, char ** UNUSED (env))
 {
    try
@@ -17,17 +18,16 @@
       //comm::CMPIManager::Initialise(&argc, &argv); // < seulement en mode connectÃ©
       //comm::CMPIManager::Finalize();               // < seulement en mode connectÃ©
-      
-     
-      CXIOSManager::Initialise(CXIOSManager::CLIENT_SERVER, &argc, &argv);      
-      CXIOSManager::AddClient("nemo"    , 4, 2, &nemo_fake_entry);
+
+      CXIOSManager::Initialise (CXIOSManager::CLIENT_SERVER, &argc, &argv);
+      CXIOSManager::AddClient ("nemo"    , 4, 2, &nemo_fake_entry);
       //CXIOSManager::AddClient("orchidee", 1, 1, &orchidee_fake_entry);
       //CXIOSManager::AddClient("lmdz"    , 4, 2, &lmdz_fake_entry);
-      CXIOSManager::RunClientServer(comm::CMPIManager::GetCommWorld());
-      CXIOSManager::Finalize();     
+      CXIOSManager::RunClientServer (comm::CMPIManager::GetCommWorld ());
+      CXIOSManager::Finalize ();
    }
    catch (CException & exc)
    {
-      std::cerr << exc.getMessage() << std::endl;
-      CMPIManager::Finalize();
+      std::cerr << exc.getMessage () << std::endl;
+      CMPIManager::Finalize ();
       return (EXIT_FAILURE);
    }
Index: /XMLIO_V2/dev/dev_rv/src/xmlio/node/grid.cpp
===================================================================
--- /XMLIO_V2/dev/dev_rv/src/xmlio/node/grid.cpp	(revision 199)
+++ /XMLIO_V2/dev/dev_rv/src/xmlio/node/grid.cpp	(revision 200)
@@ -339,5 +339,7 @@
       ARRAY(int, 1) out_i_index_srv  =  this->out_i_index[0];
       ARRAY(int, 1) out_j_index_srv  =  this->out_j_index[0];
-      ARRAY(int, 1) out_l_index_srv  =  this->out_l_index[0];      
+      ARRAY(int, 1) out_l_index_srv  =  this->out_l_index[0];
+
+      ARRAY(int, 2) local_mask =  this->domain->getLocalMask();
       
       const std::vector<int> & ibegin = this->domain->getIBeginSub();
@@ -346,6 +348,6 @@
       const int ibegin_srv = this->domain->ibegin.getValue();
       const int jbegin_srv = this->domain->jbegin.getValue();
-      const int zoom_ni_srv   = this->domain->zoom_ni.getValue();
-      const int zoom_nj_srv   = this->domain->zoom_nj.getValue();
+      const int zoom_ni_srv   = this->domain->zoom_ni_loc.getValue();
+      const int zoom_nj_srv   = this->domain->zoom_nj_loc.getValue();
       
       const int ibegin_zoom_srv = this->domain->zoom_ibegin_loc.getValue();
@@ -395,22 +397,16 @@
             *std::max_element(out_j_index_srv->begin(), out_j_index_srv->end());
             
-         if (ibegin_t < 0) 
-         {
-            std::cout << "Erreur 1 " << std::endl;
-         }
-         if (jbegin_t < 0) 
-         {
-            std::cout << "Erreur 2 " <<  std::endl;
-         }
-         if (iend_t >= zoom_ni_srv)
-         {
-            std::cout << "Erreur 3 " << std::endl;
-         }
-         if (jend_t >= zoom_nj_srv) 
-         {
-            std::cout << "Erreur 4 " << std::endl;
-         }
-      }
-      
+         if ((ibegin_t < 0) || (jbegin_t < 0) ||
+             (iend_t >= zoom_ni_srv) || (jend_t >= zoom_nj_srv))
+         {
+            ERROR("CGrid::computeIndexServer(void)",
+                  <<"Erreur d'indexation de la grille au niveau du serveur") ;
+         }
+      }
+
+      if (storeIndex_srv->size() != 0)
+         for (StdSize u = 0; u < storeIndex_srv->size(); u++)
+            (*local_mask)[(*out_i_index_srv)[u]][(*out_j_index_srv)[u]] = 1;
+
       //~ StdOFStream ofs(this->getId().c_str());
       //~ for (StdSize h = 0; h < storeIndex_srv->size(); h++)
Index: /XMLIO_V2/dev/dev_rv/xmlioserver.geany
===================================================================
--- /XMLIO_V2/dev/dev_rv/xmlioserver.geany	(revision 199)
+++ /XMLIO_V2/dev/dev_rv/xmlioserver.geany	(revision 200)
@@ -19,18 +19,22 @@
 
 [files]
-current_page=12
+current_page=2
 FILE_NAME_0=840;Make;0;16;1;1;0;/work/dev_rv/Makefile.wk;0;3
-FILE_NAME_1=138;C++;0;16;0;1;0;/work/dev_rv/src/xmlio/main_server.cpp;0;3
-FILE_NAME_2=13467;C++;0;16;0;1;0;/work/dev_rv/src/xmlio/node/grid.cpp;0;3
-FILE_NAME_3=2395;C++;0;16;0;1;0;/work/dev_rv/src/xmlio/node/domain.hpp;0;3
-FILE_NAME_4=3378;C++;0;16;0;1;0;/work/dev_rv/src/xmlio/node/grid.hpp;0;3
-FILE_NAME_5=1286;Conf;0;16;0;1;0;/work/dev_rv/src/xmlio/config/domain_attribute.conf;0;3
-FILE_NAME_6=160;C++;0;16;0;1;0;/work/dev_rv/src/xmlio/output/onetcdf4.hpp;0;3
-FILE_NAME_7=2909;C++;0;16;0;1;0;/work/dev_rv/src/xmlio/output/nc4_data_output.cpp;0;3
-FILE_NAME_8=356;C++;0;16;0;1;0;/work/dev_rv/src/xmlio/array_mac.hpp;0;3
-FILE_NAME_9=4101;Fortran;0;16;0;1;0;/work/dev_rv/src/xmlio/fortran/impi_interface.f90;0;3
-FILE_NAME_10=6236;C++;0;16;0;1;0;/work/dev_rv/src/xmlio/manager/mpi_manager.cpp;0;3
-FILE_NAME_11=189;C++;0;16;0;1;0;/work/dev_rv/src/xmlio/fortran/impi_interface.hpp;0;3
-FILE_NAME_12=2608;C++;0;16;0;1;0;/work/dev_rv/src/xmlio/manager/xios_manager.cpp;0;3
+FILE_NAME_1=0;C++;0;16;0;1;0;/work/dev_rv/src/xmlio/xmlioserver_spl.hpp;0;3
+FILE_NAME_2=1059;C++;0;16;0;1;0;/work/dev_rv/src/xmlio/main_server.cpp;0;3
+FILE_NAME_3=1103;C++;0;16;0;1;0;/work/dev_rv/src/xmlio/client.hpp;0;3
+FILE_NAME_4=3179;C++;0;16;0;1;0;/work/dev_rv/src/xmlio/client.cpp;0;3
+FILE_NAME_5=871;C++;0;16;0;1;0;/work/dev_rv/src/xmlio/server.hpp;0;3
+FILE_NAME_6=6267;C++;0;16;0;1;0;/work/dev_rv/src/xmlio/server.cpp;0;3
+FILE_NAME_7=1167;C++;0;16;0;1;0;/work/dev_rv/src/xmlio/buffer_list.hpp;0;3
+FILE_NAME_8=2358;C++;0;16;0;1;0;/work/dev_rv/src/xmlio/buffer_list.cpp;0;3
+FILE_NAME_9=1027;C++;0;16;0;1;0;/work/dev_rv/src/xmlio/linear_buffer.hpp;0;3
+FILE_NAME_10=1245;C++;0;16;0;1;0;/work/dev_rv/src/xmlio/linear_buffer.cpp;0;3
+FILE_NAME_11=1229;C++;0;16;0;1;0;/work/dev_rv/src/xmlio/circular_buffer.hpp;0;3
+FILE_NAME_12=2428;C++;0;16;0;1;0;/work/dev_rv/src/xmlio/circular_buffer.cpp;0;3
+FILE_NAME_13=1070;C++;0;16;0;1;0;/work/dev_rv/src/xmlio/buffer.cpp;0;3
+FILE_NAME_14=4470;C++;0;16;0;1;0;/work/dev_rv/src/xmlio/buffer.hpp;0;3
+FILE_NAME_15=950;C++;0;16;0;1;0;/work/dev_rv/src/xmlio/buffer_impl.hpp;0;3
+FILE_NAME_16=588;Conf;0;16;0;1;0;/work/dev_rv/src/xmlio/config/properties.conf;0;3
 
 [build-menu]